Subject: [pim] New PIM Charter and milestones

From: Mike McBride <[email-masked]>
Date: Fri, 26 Jan 2007 16:28:19 -0800 (PST)

Here is a second pass at pimwg rechartering text. Please review. I added a 
'may' with BSR which 'may' satisfy Lenny's previous concern.

Description of Working Group:

The Protocol Independent Multicast (PIM) Working Group has completed the 
standardization of PIM with RFC 4601. The WG has determined there is 
additional work to be accomplished and is chartered to standardize 
extensions to RFC 4601 - Protocol Independent Multicast Version 2 - Sparse 
Mode. These PIM extensions could involve multipoint label switching, 
reliability, resiliency, scalability, management, security and VPNs. 
Additional work on PIM-BIDIR and BSR may also be necessary. The working 
group will continue to specify the MIBs required for PIM and its 
enhancements. The PIM WG will further enhance RFC4601 as an even more 
scalable, efficient and robust multicast routing protocol, which is 
capable of supporting thousands of groups, different types of multicast 
applications, and all major underlying layer-2 subnetwork technologies. 
The working group will determine if a Version 3 of PIM is required.

Goals and Milestones:

Mar    2006     Ratify new WG charter and milestones
Jul    2006     Submit the BSR MIB as a Proposed Standard
Jul    2006     Develop a reliable pim specification
Jul    2006     Submit a generic TLV PIM Join Attribute Proposed Standard 
draft
Jul    2006     Submit RPF Vector (use of PIM Join Attribute) as a 
Proposed Standard
Jul    2006     Submit a mechanism to authenticate PIM link local messages 
using AH as Proposed Standard
Jul    2006     Submit an Informational PIM last hop threats document.

-mike

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

---

From: Rahul Aggarwal <[email-masked]>
Date: Sun, 28 Jan 2007 11:36:15 -0800 (PST)

Hi Mike,

Please see below:

> Mode. These PIM extensions could involve multipoint label switching,

"multipoint label switching" is within the charter of the MPLS WG. This
shouldn't be a charter item in the PIM WG.

> reliability, resiliency, scalability, management, security and VPNs.

Multicast in L2VPNs is in the charter of L2VPN WG, and multicast
in L3VPNs is in the charter of L3VPN WG. VPNs shouldn't be a charter item
in the PIM WG.

rahul

---

From: ycai <[email-masked]>
Date: Sun, 28 Jan 2007 21:10:46 -0800

> in L3VPNs is in the charter of L3VPN WG. VPNs shouldn't be a charter item

I think you missed the words "PIM extensions".

And I also did a search of "PIM" in the charters of the three WGs you
mentioned, and didn't come up with any relevant text mentioning possible
modification to PIM.

-- 
Yiqun

---

From: "John Meylor \(jmeylor\)" <[email-masked]>
Date: Mon, 29 Jan 2007 07:54:33 -0800

Rahul, 

> -----Original Message-----
> From: Rahul Aggarwal [mailto:[email-masked]] 
> Sent: Sunday, January 28, 2007 11:36 AM
> To: Michael McBride (mmcbride)
> Cc: [email-masked]
> Subject: Re: [pim] New PIM Charter and milestones
> 
> 
> Hi Mike,
> 
> Please see below:
> 
> > Here is a second pass at pimwg rechartering text. Please review. I 
> > added a 'may' with BSR which 'may' satisfy Lenny's previous concern.
> >
> > The Protocol Independent Multicast (PIM) Working Group has 
> completed 
> > the standardization of PIM with RFC 4601. The WG has 
> determined there 
> > is additional work to be accomplished and is chartered to 
> standardize 
> > extensions to RFC 4601 - Protocol Independent Multicast Version 2 - 
> > Sparse Mode. These PIM extensions could involve multipoint label 
> > switching,
> 
> "multipoint label switching" is within the charter of the 
> MPLS WG. This shouldn't be a charter item in the PIM WG.

PIM WG should address any/all pim enhancement
work necessary to support ongoing multipoint label switching

btw, its logical to expect that a system effecting several protocols
has work in more than one working group

> Multicast in L2VPNs is in the charter of L2VPN WG, and 
> multicast in L3VPNs is in the charter of L3VPN WG. VPNs 

again, PIM WG should address PIM related components of *VPN
systems.  

 john

> 
> rahul
> 
> 
> > Additional work on PIM-BIDIR and BSR may also be necessary. The 
> > working group will continue to specify the MIBs required 
> for PIM and 
> > its enhancements. The PIM WG will further enhance RFC4601 
> as an even 
> > more scalable, efficient and robust multicast routing 
> protocol, which 
> > is capable of supporting thousands of groups, different types of 
> > multicast applications, and all major underlying layer-2 
> subnetwork technologies.

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 29 Jan 2007 08:18:07 -0800

John,

> work necessary to support ongoing multipoint label switching

To support multipoint label switching *no* PIM enhancement work is
necessary. This is because multipoint label switching is supported
with either RSVP-TE, or with mLDP, and neither of these require any
PIM enhancement work.
  
Yakov.

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 29 Jan 2007 11:03:40 -0800

John,

> again, PIM WG should address PIM related components of *VPN

Yes, assuming that multicast in L2VPNs and L3VPNs require extensions
to PIM. Whether such extensions are required is to be determined
by L2VPN and L3VPN WGs. With this in mind the charter instead of
saying that "These PIM extensions could involved... VPNs" should
say the following:

   If L2VPN or L3VPN WGs determine that support for multicast
   in L2VPNs and/or L3VPNs requires extensions to PIM, then such 
   extensions could be developed within the PIM WG.

Yakov.

---

From: "John Meylor \(jmeylor\)" <[email-masked]>
Date: Mon, 29 Jan 2007 12:41:50 -0800

Yakov,

> From: Yakov Rekhter [mailto:[email-masked]] 
> Sent: Monday, January 29, 2007 8:18 AM
> To: John Meylor (jmeylor)
> Cc: Rahul Aggarwal; Michael McBride (mmcbride); [email-masked]
> > > > completed the standardization of PIM with RFC 4601. The WG has 
> > > > determined there is additional work to be accomplished and is 
> > > > chartered to standardize extensions to RFC 4601 - Protocol 
> > > > Independent Multicast Version 2 - Sparse Mode. These PIM 
> > > > extensions could involve multipoint label switching,
> > > 
> MPLS WG. 
> > > This shouldn't be a charter item in the PIM WG.
> > 
> > PIM WG should address any/all pim enhancement work necessary to 
> > support ongoing multipoint label switching
> 
> To support multipoint label switching *no* PIM enhancement 
> work is necessary. This is because multipoint label switching 
> is supported with either RSVP-TE, or with mLDP, and neither 
> of these require any PIM enhancement work.

PIM WG should consider implication of VPN service on PIM whether its
a component of that service (as in widely deployed mVPN GRE solution
described in L3VPN drafts) or whether it interfaces with that service
at VPN edge (as it can with multipoint label switched solutions)

 john

---

From: Yakov Rekhter <[email-masked]>
Date: Tue, 30 Jan 2007 06:32:06 -0800

John,

> at VPN edge (as it can with multipoint label switched solutions)

With this in mind replace

   These PIM extensions could involve multipoint label switching, 
   reliability, resiliency, scalability, management, security and VPNs.

with the following:

   These PIM extensions could involve reliability, resiliency, 
   scalability, management, and security.

Yakov.